Thu Jun  7 17:40:35 2001  Shugo Maeda <shugo@modruby.net>

	* version 0.9.4 released.

Thu Jun  7 12:04:24 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_lib.c (eval_string): changed the receiver to main object.
	Thanks to Luis Casillas.

	* eruby_lib.c (eruby_import): ditto.

Wed Jun  6 10:09:33 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_lib.c (eruby_compiler_compile_string): add taint status
	infection.

Mon Jun  4 19:14:50 2001  Shugo Maeda <shugo@modruby.net>

	* version 0.9.3 released.

Mon Jun  4 19:06:57 2001  Shugo Maeda <shugo@modruby.net>

	* configure.rb.in: use DLL_DLDFLAGS for eruby.so.

Mon Jun  4 14:19:54 2001  Shugo Maeda <shugo@modruby.net>

	* examples/e2r.rb: new file.

	* examples/test.rhtml: new file.

	* examples/foo.rhtml: new file.

	* COPYING: new file.

	* GPL: new file.

	* LGPL: new file.

	* eruby_lib.c (eruby_import): use Kernel#eval for backtrace.

Sun Jun  3 20:39:58 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_lib.c (eruby_load): use Kernel#eval for backtrace.

Fri Jun  1 17:05:35 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_lib.c (lex_str_gets): allow empty strings.

	* eruby_lib.c (eruby_compile): don't print excess double quotes.

Mon May 28 11:14:56 2001  WATANABE Hirofumi <eban@os.rim.or.jp>

	* Makefile.in: RUBY_SO_NAME for cygwin.

Fri May 25 14:09:13 2001  Shugo Maeda <shugo@modruby.net>

	* configure.rb.in: check for MKDLLIB.

Fri May 25 14:02:40 2001  Shugo Maeda <shugo@modruby.net>

	* configure.rb.in: new file.

Tue May 22 13:36:19 2001  WATANABE Hirofumi <eban@os.rim.or.jp>

	* configure.rb (create_file): support srcdir.

Fri May 18 16:44:24 2001  Shugo Maeda <shugo@modruby.net>

	* Makefile.RB: removed.

Fri May 18 14:57:58 2001  Shugo Maeda <shugo@modruby.net>

	* configure.rb: support new version of mkmf.

Wed May 16 17:32:30 2001  Shugo Maeda <shugo@modruby.net>

	* configure.rb: new options, --prefix, --exec-prefix etc....

	* config.h.in: quote @DEFAULT_CHARSET@.

Wed May 16 13:25:27 2001  Shugo Maeda <shugo@modruby.net>

	* configure.rb: new file.

	* Makefile.in: new file.

	* config.h.in: new file.

Tue May 15 15:18:02 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_lib.c (eruby_import): new method. inspired by Hoss
	Firooznia.

Fri May 11 18:52:30 2001  Christian Lademann <lademann@zls.de>

	* eruby_lib.c (eruby_compile): allow files to start with '#'.

Tue May  1 18:14:56 2001  Shugo Maeda <shugo@modruby.net>

	* Makefile.RB: added .1 to .SUFFIXES.

Tue May  1 12:23:44 2001  YASUI Kentarow <kenyasui@alles.or.jp>

	* Makefile.RB: fixed duplicated DESTDIR.

	* Makefile.RB: create $(mandir)/man1.

Fri Apr 27 13:53:47 2001  Shugo Maeda <shugo@modruby.net>

	* version 0.9.2 released.

Fri Apr 27 13:18:16 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_lib.c (eruby_get_default_charset): new method.

	* eruby_lib.c (eruby_set_default_charset): new method.

	* eruby_lib.c (eruby_init): changed module functions to singleton
	methods.

Thu Apr 26 15:28:39 2001  Shugo Maeda <shugo@modruby.net>

	* Makefile.RB (DLLIB): use CONFIG['DLDFLAGS'] instead of
	$DLDFLAGS.

	* Makefile.RB (LIBERUBY_SO): added LIBS.

Sun Apr 22 21:52:34 2001  Shugo Maeda <shugo@modruby.net>

	* Makefile.RB (clean): remove eruby_ext.o.

	* eruby_lib.c (eruby_compiler_compile_string): check type.

Fri Apr 20 18:28:36 2001  WATANABE Hirofumi <eban@os.rim.or.jp>

	* Makefile.RB: use INSTALL_DLLIB instead of INSTALL_DATA.

Fri Apr 20 17:04:35 2001  Shugo Maeda <shugo@modruby.net>

	* version 0.9.1 released.

Fri Apr 20 16:15:12 2001  Shugo Maeda <shugo@modruby.net>

	* eruby_main.c: use EXTERN instead of extern.

	* eruby_lib.c: ditto.

Fri Apr 20 15:39:51 2001  Shugo Maeda <shugo@modruby.net>

	* version 0.9.0 released.

Thu Apr 19 16:58:40 2001  Shugo Maeda <shugo@ruby-lang.org>

	* eruby_lib.c (output): use buffer.

Thu Apr 19 15:40:57 2001  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.h: new constant ERUBY_VERSION_CODE.

Thu Apr 19 14:59:50 2001  Shugo Maeda <shugo@ruby-lang.org>

	* eruby_lib.c: renamed from eruby.c.

	* eruby_lib.c (eruby_init): new class ERuby::Compiler.

	* eruby_ext.c: new file for eruby extention library.

	* examples/test.rb: example for eruby extention library.

Fri Apr 13 11:35:54 2001  Nobuyoshi.Nakada <nobu.nakada@nifty.ne.jp>

	* Makefile.RB: install under $(prefix).

Mon Mar 26 17:48:33 2001  Nobuyoshi.Nakada <nobu.nakada@nifty.ne.jp>

	* Makefile.RB: hack for mswin32.

Fri Dec 22 11:22:45 2000  WATANABE Hirofumi <eban@os.rim.or.jp>

	* eruby_main.c: hack for mswin32.

	* Makefile.RB: ditto.

Tue Dec 12 14:39:12 2000  Shugo Maeda <shugo@ruby-lang.org>

	* version 0.1.3 released.

Tue Dec 12 14:37:05 2000  Shugo Maeda <shugo@ruby-lang.org>

	* Makefile.RB: use ISO-8859-1 instead of US-ASCII.

Wed Dec  6 14:17:10 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.c (eruby_version): return version string.

Thu Nov 23 18:26:51 2000  Shugo Maeda <shugo@ruby-lang.org>

	* fixed copyright notice.

Mon Oct 16 18:32:23 2000  Shugo Maeda <shugo@ruby-lang.org>

	* version 0.1.2 released.

Mon Oct 16 18:31:55 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.c: use TRAP_BEG/TRAP_END.

Wed Oct 11 14:13:05 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.c: new macro ERUBY_BEGIN_DELIMITER etc.

Fri Sep 29 11:03:35 2000  Shugo Maeda <shugo@ruby-lang.org>

	* Makefile.RB: replaced rm with ruby.

Fri Sep 29 11:01:17 2000  Akira Muraki <a-muraki@ddc.hitachi.co.jp>

	* Makefile.RB: hack for mswin32 and ruby-1.6.

Thu Sep 14 17:15:36 2000  Akira Muraki <a-muraki@ddc.hitachi.co.jp>

	* Makefile.RB: hack for mswin32.

	* eruby.c: define SIGQUIT for VC++.

Wed Sep 13 16:38:03 2000  Shugo Maeda <shugo@ruby-lang.org>

	* version 0.1.1 released.

Wed Sep 13 16:37:32 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.1: man page.

Tue Sep 12 11:08:37 2000  Akinori -Aki- MUSHA <knu@idaemons.org>

	* Makefile.RB: hack for *BSD.

Mon Sep 11 16:03:52 2000  Shugo Maeda <shugo@ruby-lang.org>

	* version 0.1.0 released.

Mon Sep 11 15:53:00 2000  akira yamada <akira@ruby-lang.org>

	* eruby_main.c (init): call ruby_init_loadpath().

Wed Sep  6 19:01:31 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.c: new variable eruby_default_charset.

Thu Aug 31 11:47:16 2000  Shugo Maeda <shugo@ruby-lang.org>

	* Makefile.RB: new option --enable-shared.

Wed Aug 30 17:47:54 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby_main.c (main): split main() to init(), proc_args(), run().

	* eruby_main.c (proc_args):  don't use command-line args as
	eruby_filename if SCRIPT_FILENAME includes argv[0]. (Is this
	secure enough? I'm not sure.)

	* eruby.c (eruby_parse_options): bug fix.

Mon Aug 28 17:29:17 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby.c (eruby_compile_file): use O_EXCL for security reason.

	* eruby_main.c (parse_options): new option -C.

	* eruby.c (parse_options): parse optins in #! line.

Fri Aug 25 16:38:44 2000  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.9 released.

Fri Aug 25 16:36:47 2000  Shugo Maeda <shugo@netlab.co.jp>

	* eruby_main.c (main): don't use command-line args as
	eruby_filename on CGI-mode.

Mon Jul 17 14:13:07 2000  Shugo Maeda <shugo@ruby-lang.org>

	* eruby_main.c (main): exit quietly on SystemExit.

Tue May 30 11:29:45 2000  Katsuyuki Komatsu <komatsu@sarion.co.jp>

	* Makefile.RB: use CCDLFLAGS.

	* Makefile.RB: added topdir, RUBY_INSTALL_NAME.

	* Makefile.RB: use OBJEXT and EXEEXT.

	* eruby.c: define S_ISDIR and W_OK.

	* eruby_main.c: use EXTERN instead of extern.

Wed May 24 14:11:22 2000  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.8 released.

Wed May 24 12:44:01 2000  Shugo Maeda <shugo@netlab.co.jp>

	* eruby.c (parse_embedded_line): removed unused label.

Thu May 18 17:05:31 2000  Shugo Maeda <shugo@netlab.co.jp>

	* eruby.c (eruby_init): new module ERuby.

	* Makefile.RB: added --default-charset option.

Wed Apr  5 17:08:26 2000  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.7 released.

Fri Mar 31 18:51:20 2000  Shugo Maeda <shugo@netlab.co.jp>

	* eruby.c (eruby_compile): bug fix.

Thu Mar 30 17:09:04 2000  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.6 released.

Thu Mar 30 15:52:30 2000  Shugo Maeda <shugo@netlab.co.jp>

	* eruby_main.c (get_charset): UTF8 -> UTF-8.

Tue Mar 28 14:38:00 2000  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.5 released.

Tue Mar 28 11:40:09 2000  Shugo Maeda <shugo@netlab.co.jp>

	* eruby.h: add ERUBY_ prefix to eruby_compile_status.

Tue Dec 21 17:04:19 1999  Shugo Maeda <shugo@netlab.co.jp>

	* eruby.c (eruby_init): new global variable $NOHEADER.

	* eruby.c (eruby_compile): fixed <%% bug.

Fri Nov 26 20:59:39 1999  Shugo Maeda <shugo@netlab.co.jp>

	* eruby_main.c (parse_options): remove -B/-E option.

	* eruby.c (eruby_compile): % at beginning of line embeds one line code.

Wed Nov 17 16:44:31 1999  Shugo Maeda <shugo@netlab.co.jp>

	* eruby_main.c (defout_cancel): clears output buffer.
	
Tue Aug 10 13:49:12 1999  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.4 released.

Tue Aug 10 13:48:27 1999  Shugo Maeda <shugo@netlab.co.jp>

	* Makefile.RB: use ftools instead of INSTALL_PROGRAM.

Tue Aug 10 11:15:08 1999  Shugo Maeda <shugo@netlab.co.jp>

	* eruby_main.c (parse_options): new option -M, specifies runtime mode.

	* eruby_main.c (parse_options): new option -K, specifies KANJI code-set.

	* eruby_main.c (parse_options): new option -B and -E, set block delimiter.

	* eruby_main.c (parse_options): new option -n, disables CGI header output.

	* eruby_main.c (parse_options): new option --version, print version.

	* eruby_main.c (parse_options): added some long options.

Fri Aug  6 14:41:26 1999  Shugo Maeda <shugo@netlab.co.jp>

	* eruby.c (eruby_compile): ignore #! line.

Mon Jun 21 16:22:22 1999  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.3 released.

Mon Jun 21 16:09:26 1999  Shugo Maeda <shugo@netlab.co.jp>

	* Makefile.RB: removed --enable-shared option:-p

Tue Jun  1 15:17:50 1999  Shugo Maeda <shugo@netlab.co.jp>

	* Makefile.RB: added --enable-shared option.

Fri May 21 14:53:50 1999  Shugo Maeda <shugo@netlab.co.jp>

	* eruby_main.c (print_http_headers): use RFC1123 date format.

Thu May 20 14:53:50 1999  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.2 released.

Thu May 20 14:26:17 1999  Shugo Maeda <shugo@netlab.co.jp>

	* Makefile.RB: added LIBERUBY for mod_ruby.

Mon May 17 19:27:27 1999  Shugo Maeda <shugo@netlab.co.jp>

	* version 0.0.1 released.

Local variables:
mode: ChangeLog
tab-width: 8
End:
